using Register_office.BaseClasses;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Windows.Forms.Design.Behavior;

namespace Register_office.Model;

public partial class Disease : IUnionId
{
	public object GetId() => DiseaseId;

	[Display(Name = "hide")]
	public int DiseaseId { get; set; }

	[Display(Name = "Название")]
    public string Name { get; set; } = null!;

	[Display(Name = "Код МКБ")]
    public string IcdCode { get; set; } = null!;

	[Browsable(false)]
    public virtual ICollection<DiseaseSyndrome> DiseaseSyndromes { get; set; } = new List<DiseaseSyndrome>();

	[Browsable(false)]
	public virtual ICollection<HospitalAdmission> HospitalAdmissions { get; set; } = new List<HospitalAdmission>();

	[Browsable(false)]
	public virtual ICollection<HospitalDischarge> HospitalDischarges { get; set; } = new List<HospitalDischarge>();
}
